Cannot install Microthemer [permissions errors – RESOLVED]

This topic contains 2 replies, has 3 voices, and was last updated by  Sebastian 5 years, 2 months ago.

Author Posts

rmark

Notice: this information was written when Microthemer version 2 was current. On Dec 26th, 2014 version 3 was released with a completely new interface. Some of the information may be redundant, but as much of the functionality remains the same in version 3 we haven't deleted this post.

I am trying to install the trial version of this plugin and I get the following warning messages/errors. I know how to right click to change file permissions for a file or directory. But, I’m not sure if this will solve the whole problem and/or specifically what to do. Can anyone help?

————————-

Warning: fopen(/home/wordadmin/domains/wordsdoneright.com/public_html/wpsite/wp-content/plugins/microthemer/js/css-properties-2.8.2.js) [function.fopen]: failed to open stream: Permission denied in /home/wordadmin/domains/wordsdoneright.com/public_html/wpsite/wp-content/plugins/microthemer/tvr-microthemer.php on line 400

WordPress does not have permission to create: /wp-content/plugins/microthemer/js/css-properties-2.8.2.js. Please see this help article for changing directory and file permissions:http://codex.wordpress.org/Changing_File_Permissions

WordPress was not able to create the /wp-content/micro-themes/directory. Please see this help article for changing directory and file permissions:http://codex.wordpress.org/Changing_File_Permissions


Sogwac

I currently have 2.8.2 installed on a site. I tried to upgrade to 3 beta … but I get the message the directory already exists. On another site I was able to just upload the new plugin as a zip and it worked – out of the box….

Interesting behaviour as well …. using Ultimatum & wp 4.0 I got the exact layout I was looking for with 4.1 slight visual change – background of a menu item went from light gray (which I liked) to a black which it was before upgrading to WP 4.0 (I had given up in trying to adjust colours & had accepted it)… It was a nice surprise when I got what I wanted only to have it “revert” after the latest upgrade … back to the drawing board I guess….


Sebastian

Hi Sogwac,

I think you may have to delete the 2.8.2 version: /wp-content/plugins/microthemer via FTP or a file manager if your sever doesn’t let you overwrite the directory. You won’t lose any settings as they are safely stored in the database, not the file system.

I can’t say for sure what is going on with your menu items, but if you can post a link to your site I’m happy to look into it for you.

Many thanks,

Sebastian

You must login or register to reply to this topic.